EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ServerConfigurations_GetAllConfigurations',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ServerConfigurations_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all server configuration states.'
GO


IF OBJECT_ID('[ServerConfigurations_GetAllConfigurations]') IS NOT NULL DROP PROCEDURE [ServerConfigurations_GetAllConfigurations]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ServerConfigurations_GetAllConfigurations]
AS
BEGIN

    SET NOCOUNT ON

    SELECT * 
      FROM [ServerConfigurations_Extended]

END
GO

GRANT EXECUTE ON [ServerConfigurations_GetAllConfigurations] TO [OtterUser_Role]
