EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ServerRoles_GetServerRole',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ServerRoles_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified server role.'
GO


IF OBJECT_ID('[ServerRoles_GetServerRole]') IS NOT NULL DROP PROCEDURE [ServerRoles_GetServerRole]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ServerRoles_GetServerRole]
(
    @ServerRole_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [ServerRoles_Extended]
     WHERE [ServerRole_Id] = @ServerRole_Id

    

END
GO

GRANT EXECUTE ON [ServerRoles_GetServerRole] TO [OtterUser_Role]