--AH:ScriptId=265aeba0-e3d0-4439-8de6-e780c0e9a1b4;3164
CREATE TABLE [ServerPackages]
(
    [Server_Id] INT NOT NULL,
    [PackageType_Name] NVARCHAR(50) NOT NULL,
    [Package_Name] NVARCHAR(255) NOT NULL,
    [Package_Version] VARCHAR(50) NOT NULL,
    
    [CollectedOn_Execution_Id] INT NULL,
    [Url_Text] NVARCHAR(255) NULL,

    CONSTRAINT [PK__ServerPackages] 
       PRIMARY KEY ([Server_Id], [PackageType_Name], [Package_Name], [Package_Version]),

    CONSTRAINT [FK__ServerPackages__Servers] 
       FOREIGN KEY ([Server_Id]) REFERENCES [Servers] ([Server_Id])
       ON DELETE CASCADE,

    CONSTRAINT [FK__ServerPackages__Executions]
       FOREIGN KEY ([CollectedOn_Execution_Id]) REFERENCES [Executions] ([Execution_Id])
       ON DELETE SET NULL
)