EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_SetFinalRemediationJob',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Updates a server''s final remediation job.'
GO

IF OBJECT_ID('[Servers_SetFinalRemediationJob]') IS NOT NULL DROP PROCEDURE [Servers_SetFinalRemediationJob]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_SetFinalRemediationJob]
(
	@Server_Id INT,
	@Final_Remediation_Job_Id INT
)
AS
BEGIN

SET NOCOUNT ON
	
    UPDATE [Servers]
	   SET [FinalRemediation_Job_Id] = @Final_Remediation_Job_Id
	 WHERE [Server_Id] = @Server_Id

END
GO

GRANT EXECUTE ON [Servers_SetFinalRemediationJob] TO [OtterUser_Role]
